# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_MakeStepVertex Class Reference

This class implements the mapping between classes
Vertex from TopoDS and TopologicalRepresentationItem from
StepShape.
.

`#include <TopoDSToStep_MakeStepVertex.hxx>`

Inheritance diagram for TopoDSToStep_MakeStepVertex:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_MakeStepVertex ()
Standard_EXPORT | TopoDSToStep_MakeStepVertex (const TopoDS_Vertex &V, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT void | Init (const TopoDS_Vertex &V, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem & | Value () const
Standard_EXPORT TopoDSToStep_MakeVertexError | Error () const

## Private Attributes

Handle_StepShape_TopologicalRepresentationItem | myResult
TopoDSToStep_MakeVertexError | myError

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_MakeStepVertex::TopoDSToStep_MakeStepVertex | ( |  | ) |

Standard_EXPORT TopoDSToStep_MakeStepVertex::TopoDSToStep_MakeStepVertex | ( | const TopoDS_Vertex & | V,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

Standard_EXPORT TopoDSToStep_MakeVertexError TopoDSToStep_MakeStepVertex::Error | ( |  | ) | const

Standard_EXPORT void TopoDSToStep_MakeStepVertex::Init | ( | const TopoDS_Vertex & | V,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

void TopoDSToStep_MakeStepVertex::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeStepVertex::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeStepVertex::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem& TopoDSToStep_MakeStepVertex::Value | ( |  | ) | const

## Field Documentation

TopoDSToStep_MakeVertexError TopoDSToStep_MakeStepVertex::myError `[private]`

Handle_StepShape_TopologicalRepresentationItem TopoDSToStep_MakeStepVertex::myResult `[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_MakeStepVertex.hxx